/*
 * Quasar: lightweight threads and actors for the JVM.
 * Copyright (c) 2013-2014, Parallel Universe Software Co. All rights reserved.
 * 
 * This program and the accompanying materials are dual-licensed under
 * either the terms of the Eclipse Public License v1.0 as published by
 * the Eclipse Foundation
 *  
 *   or (per the licensee's choosing)
 *  
 * under the terms of the GNU Lesser General Public License version 3.0
 * as published by the Free Software Foundation.
 */
package co.paralleluniverse.actors;

/**
 * A message that is automatically generated by an actor upon some lifecycle event (like death) and sent to its {@link Actor#watch(ActorRef) watchers} or
 * {@link Actor#link(ActorRef) linked actors}. {@code LifecycleMessage}s are handle by an actor's {@link Actor#handleLifecycleMessage(LifecycleMessage) handleLifecycle} method.
 *
 * @author pron
 */
public interface LifecycleMessage extends java.io.Serializable {
}
